commit:     4947b1f61d9cb2db76a6f555f58ce9cb50e3fd72
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 23:21:52 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 23:34:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4947b1f6

dev-libs/libnl: add Python 3.9

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libnl/libnl-3.5.0.ebuild    | 29 ++++++++++-------------------
 dev-libs/libnl/libnl-99999999.ebuild | 26 +++++++++++---------------
 2 files changed, 21 insertions(+), 34 deletions(-)

diff --git a/dev-libs/libnl/libnl-3.5.0.ebuild 
b/dev-libs/libnl/libnl-3.5.0.ebuild
index b59acf1f18f..e94fa798a8f 100644
--- a/dev-libs/libnl/libnl-3.5.0.ebuild
+++ b/dev-libs/libnl/libnl-3.5.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 DISTUTILS_OPTIONAL=1
 inherit distutils-r1 libtool multilib-minimal
 
@@ -13,34 +13,25 @@ LIBNL_DIR=${LIBNL_DIR//./_}
 
 DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel 
interfaces"
 HOMEPAGE="http://www.infradead.org/~tgr/libnl/ 
https://github.com/thom311/libnl";
-SRC_URI="
-       
https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz
-"
+SRC_URI="https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz";
+S="${WORKDIR}/${LIBNL_P}"
+
 LICENSE="LGPL-2.1 utils? ( GPL-2 )"
 SLOT="3"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc 
x86 ~amd64-linux ~x86-linux"
 IUSE="+debug static-libs python +threads utils"
 
-RDEPEND="
-       python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
-       ${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
 BDEPEND="
        ${RDEPEND}
        python? ( dev-lang/swig )
        sys-devel/bison
        sys-devel/flex
 "
-REQUIRED_USE="
-       python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
-       ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-S=${WORKDIR}/${LIBNL_P}
+DOCS=( ChangeLog )
 
 MULTILIB_WRAPPED_HEADERS=(
        # we do not install CLI stuff for non-native
@@ -103,5 +94,5 @@ multilib_src_install() {
 
 multilib_src_install_all() {
        einstalldocs
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -name '*.la' -delete || die
 }

diff --git a/dev-libs/libnl/libnl-99999999.ebuild 
b/dev-libs/libnl/libnl-99999999.ebuild
index cf078de887a..b90a505c18e 100644
--- a/dev-libs/libnl/libnl-99999999.ebuild
+++ b/dev-libs/libnl/libnl-99999999.ebuild
@@ -1,38 +1,33 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 DISTUTILS_OPTIONAL=1
 inherit autotools distutils-r1 git-r3 multilib-minimal
 
 DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel 
interfaces"
 HOMEPAGE="http://www.infradead.org/~tgr/libnl/ 
https://github.com/thom311/libnl";
 EGIT_REPO_URI="https://github.com/thom311/libnl";
+
 LICENSE="LGPL-2.1 utils? ( GPL-2 )"
 SLOT="3"
 KEYWORDS=""
 IUSE="+debug static-libs python +threads utils"
 
-RDEPEND="
-       python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
-       ${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
 BDEPEND="
        ${RDEPEND}
        sys-devel/bison
        sys-devel/flex
        python? ( dev-lang/swig )
 "
-REQUIRED_USE="
-       python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
-       ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DOCS=( ChangeLog )
+
 MULTILIB_WRAPPED_HEADERS=(
        # we do not install CLI stuff for non-native
        /usr/include/libnl3/netlink/cli/addr.h
@@ -48,6 +43,7 @@ MULTILIB_WRAPPED_HEADERS=(
        /usr/include/libnl3/netlink/cli/tc.h
        /usr/include/libnl3/netlink/cli/utils.h
 )
+
 PATCHES=(
        "${FILESDIR}"/${PN}-99999999-2to3.patch
 )
@@ -107,5 +103,5 @@ multilib_src_install() {
 
 multilib_src_install_all() {
        einstalldocs
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to